## org.gnu.gdk
Class WindowAttributesType

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.WindowAttributesType

public class WindowAttributesType
extends org.gnu.glib.Flags

Field Summary
`static WindowAttributesType` `COLORMAP`
`static WindowAttributesType` `CURSOR`
`static WindowAttributesType` `NOREDIR`
`static WindowAttributesType` `TITLE`
`static WindowAttributesType` `VISUAL`
`static WindowAttributesType` `WMCLASS`
`static WindowAttributesType` `X`
`static WindowAttributesType` `Y`

Method Summary
`WindowAttributesType` `and(WindowAttributesType other)`
`static WindowAttributesType` `intern(int value)`
`WindowAttributesType` `or(WindowAttributesType other)`
`boolean` `test(WindowAttributesType other)`
`WindowAttributesType` `xor(WindowAttributesType other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final WindowAttributesType TITLE

### X

    public static final WindowAttributesType X

### Y

    public static final WindowAttributesType Y

### CURSOR

    public static final WindowAttributesType CURSOR

### COLORMAP

    public static final WindowAttributesType COLORMAP

### VISUAL

    public static final WindowAttributesType VISUAL

### WMCLASS

    public static final WindowAttributesType WMCLASS

### NOREDIR

    public static final WindowAttributesType NOREDIR

Method Detail

### intern

    public static WindowAttributesType intern(int value)

### or

    public WindowAttributesType or(WindowAttributesType other)

### and

    public WindowAttributesType and(WindowAttributesType other)

### xor

    public WindowAttributesType xor(WindowAttributesType other)

### test

    public boolean test(WindowAttributesType other)